NX Open C++ Reference Guide
|
Represents a @link Features::IntersectionCurveBuilder Features::IntersectionCurveBuilder@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateIntersectionCurveBuilder Features::FeatureCollection::CreateIntersectionCurveBuilder @endlink <br>
Default values. More...
Public Member Functions | |
bool | Associative () |
Returns the associative Created in NX5.0.0. | |
NXOpen::GeometricUtilities::CurveFitData * | CurveFitData () |
Returns the curve fit settings Created in NX8.0.0. | |
NXOpen::GeometricUtilities::CurveFitOptions * | CurveFitOptions () |
Returns the curve fit options Created in NX5.0.0. | |
NXOpen::ScCollector * | FirstFace () |
Returns the first face Created in NX5.0.0. | |
NXOpen::Plane * | FirstPlane () |
Returns the first plane Created in NX5.0.0. | |
NXOpen::SelectObjectList * | FirstSet () |
Returns the first set required only for non-associative intersection curve Created in NX5.0.0. | |
NXOpen::ScCollector * | SecondFace () |
Returns the second face Created in NX5.0.0. | |
NXOpen::Plane * | SecondPlane () |
Returns the second plane Created in NX5.0.0. | |
NXOpen::SelectObjectList * | SecondSet () |
Returns the second set required only for non-associative intersection curve Created in NX5.0.0. | |
void | SetAssociative (bool associative) |
Sets the associative Created in NX5.0.0. | |
void | SetFirstPlane (NXOpen::Plane *firstPlane) |
Sets the first plane Created in NX5.0.0. | |
void | SetSecondPlane (NXOpen::Plane *secondPlane) |
Sets the second plane Created in NX5.0.0. | |
void | SetTolerance (double tolerance) |
Sets the tolerance Created in NX5.0.0. | |
double | Tolerance () |
Returns the tolerance Created in NX5.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::IntersectionCurveBuilder Features::IntersectionCurveBuilder@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateIntersectionCurveBuilder Features::FeatureCollection::CreateIntersectionCurveBuilder @endlink <br>
Default values.
Property | Value |
---|---|
Associative |
True |
CurveFitData.CurveJoinMethod |
No |
CurveFitData.Degree |
7 |
CurveFitData.FitMethod |
DegreeAndSegments |
CurveFitData.IsAdvancedFit |
0 |
CurveFitData.IsAlignShape |
0 |
CurveFitData.MaximumDegree |
7 |
CurveFitData.MaximumSegments |
1 |
CurveFitData.MinimumDegree |
5 |
CurveFitData.Segments |
1 |
CurveFitOptions.FitOption |
Cubic |
CurveFitOptions.MaximumDegree |
7 |
CurveFitOptions.MaximumSegments |
1 |
Created in NX5.0.0.
bool NXOpen::Features::IntersectionCurveBuilder::Associative | ( | ) |
Returns the associative
Created in NX5.0.0.
License requirements : None
NXOpen::GeometricUtilities::CurveFitData* NXOpen::Features::IntersectionCurveBuilder::CurveFitData | ( | ) |
Returns the curve fit settings
Created in NX8.0.0.
License requirements : None
NXOpen::GeometricUtilities::CurveFitOptions* NXOpen::Features::IntersectionCurveBuilder::CurveFitOptions | ( | ) |
Returns the curve fit options
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::ScCollector* NXOpen::Features::IntersectionCurveBuilder::FirstFace | ( | ) |
Returns the first face
Created in NX5.0.0.
License requirements : None
NXOpen::Plane* NXOpen::Features::IntersectionCurveBuilder::FirstPlane | ( | ) |
Returns the first plane
Created in NX5.0.0.
License requirements : None
NXOpen::SelectObjectList* NXOpen::Features::IntersectionCurveBuilder::FirstSet | ( | ) |
Returns the first set required only for non-associative intersection curve
Created in NX5.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::IntersectionCurveBuilder::SecondFace | ( | ) |
Returns the second face
Created in NX5.0.0.
License requirements : None
NXOpen::Plane* NXOpen::Features::IntersectionCurveBuilder::SecondPlane | ( | ) |
Returns the second plane
Created in NX5.0.0.
License requirements : None
NXOpen::SelectObjectList* NXOpen::Features::IntersectionCurveBuilder::SecondSet | ( | ) |
Returns the second set required only for non-associative intersection curve
Created in NX5.0.0.
License requirements : None
void NXOpen::Features::IntersectionCurveBuilder::SetAssociative | ( | bool | associative | ) |
Sets the associative
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
associative | associative |
void NXOpen::Features::IntersectionCurveBuilder::SetFirstPlane | ( | NXOpen::Plane * | firstPlane | ) |
Sets the first plane
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
firstPlane | firstplane |
void NXOpen::Features::IntersectionCurveBuilder::SetSecondPlane | ( | NXOpen::Plane * | secondPlane | ) |
Sets the second plane
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
secondPlane | secondplane |
void NXOpen::Features::IntersectionCurveBuilder::SetTolerance | ( | double | tolerance | ) |
Sets the tolerance
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
tolerance | tolerance |
double NXOpen::Features::IntersectionCurveBuilder::Tolerance | ( | ) |
Returns the tolerance
Created in NX5.0.0.
License requirements : None